<div class="inventory-filters spellbook-filters">
    <div class="form-group spellcasting-ability">
        <h3>{{localize "SW5E.SpellAbility"}}</h3>
        <select name="data.attributes.spellcasting" data-type="String">
            {{#select data.attributes.spellcasting}}
            <option value="">{{localize "SW5E.None"}}</option>
            {{#each data.abilities as |abl a|}}
            <option value="{{a}}">{{abl.label}}</option>
            {{/each}}
            {{/select}}
        </select>
        {{#if isNPC}}
        <h3>{{localize "SW5E.SpellcasterLevel"}}</h3>
        <input class="spellcasting-level" type="text" name="data.details.spellLevel"
               value="{{data.details.spellLevel}}" data-dtype="Number" placeholder="0"/>
        {{/if}}
        <h3 class="spell-dc">{{localize "SW5E.SpellDC"}} {{data.attributes.spelldc}}</h3>
    </div>

    <ul class="filter-list flexrow" data-filter="spellbook">
        <li class="filter-title">{{localize "SW5E.Filter"}}</li>
        <li class="filter-item" data-filter="action">{{localize "SW5E.Action"}}</li>
        <li class="filter-item" data-filter="bonus">{{localize "SW5E.BonusAction"}}</li>
        <li class="filter-item" data-filter="reaction">{{localize "SW5E.Reaction"}}</li>
        <li class="filter-item" data-filter="concentration">{{localize "SW5E.AbbreviationConc"}}</li>
        <li class="filter-item" data-filter="ritual">{{localize "SW5E.Ritual"}}</li>
        <li class="filter-item" data-filter="prepared">{{localize "SW5E.Prepared"}}{{#if preparedSpells}} ({{preparedSpells}}){{/if}}</li>
    </ul>
</div>

<ol class="inventory-list">
{{#each spellbook as |section|}}
    <li class="item flexrow inventory-header spellbook-header">
        <div class="item-name flexrow">
            <h3>{{section.label}}</h3>
        </div>

        <div class="spell-slots">
            {{#if section.usesSlots}}
            <input type="text" name="data.spells.{{section.prop}}.value" value="{{section.uses}}" placeholder="0"
                   data-dtype="Number"/>
            <span class="sep"> / </span>
            <span class="spell-max" data-level="{{section.prop}}" data-slots="{{section.slots}}">
                {{{section.slots}}}
                {{#if ../editable}}
                <a class="slot-max-override" title="{{localize 'SW5E.SpellProgOverride'}}">
                    <i class="fas fa-edit"></i>
                </a>
                {{/if}}
            {{ else }}
            <span class="spell-slots">{{{section.uses}}}</span>
            <span class="sep"> / </span>
            <span class="spell-max">{{{section.slots}}}</span>
            {{/if}}
        </div>

        <div class="spell-school">{{localize "SW5E.SpellSchool"}}</div>
        <div class="spell-action">{{localize "SW5E.SpellUsage"}}</div>
        <div class="spell-target">{{localize "SW5E.SpellTarget"}}</div>

        <div class="item-controls">
            {{#if section.canCreate}}
            <a class="item-control item-create" title="{{localize 'SW5E.SpellCreate'}}" {{#each section.dataset as |v k|}}data-{{k}}="{{v}}"{{/each}}>
                <i class="fas fa-plus"></i> {{localize "SW5E.Add"}}
            </a>
            {{/if}}
        </div>
    </li>

    <ol class="item-list">
    {{#each section.spells as |item i|}}
        <li class="item flexrow" data-item-id="{{item._id}}">
            <div class="item-name flexrow rollable">
                <div class="item-image" style="background-image: url({{item.img}})"></div>
                <h4>{{item.name}}</h4>
                {{#if item.data.uses.per }}
                <div class="item-detail spell-uses">Uses {{item.data.uses.value}} / {{item.data.uses.max}}</div>
                {{/if}}
            </div>

            <div class="spell-comps">
                {{#each labels.components}}
                <span class="spell-component {{this}}">{{this}}</span>
                {{/each}}
            </div>
            <div class="spell-school">{{labels.school}}</div>
            <div class="spell-action">{{labels.activation}}</div>
            <div class="spell-target" title="{{localize 'SW5E.Range'}}: {{labels.range}}">
                {{#if labels.target}}
                {{labels.target}}
                {{else}}None
                {{/if}}
            </div>


            {{#if ../../owner}}
            <div class="item-controls">
                {{#if section.canPrepare}}
                <a class="item-control item-toggle {{item.toggleClass}}" title="{{item.toggleTitle}}"><i class="fas fa-sun"></i></a>
                {{/if}}
                <a class="item-control item-edit" title="Edit Item"><i class="fas fa-edit"></i></a>
                <a class="item-control item-delete" title="Delete Item"><i class="fas fa-trash"></i></a>
            </div>
            {{/if}}
        </li>
    {{/each}}
    </ol>
{{else}}
    {{#if owner}}
    {{#if filters.spellbook.size}}
    <li class="item flexrow"><p class="notes">{{localize "SW5E.FilterNoSpells"}}</p></li>
    {{else}}
    <li class="item flexrow inventory-header spellbook-header spellbook-empty">
        <div class="item-controls">
            <a class="item-control item-create" title="{{localize 'SW5E.SpellCreate'}}" data-type="spell"
               data-level="{{lvl}}"><i class="fas fa-plus"></i> {{localize "SW5E.SpellAdd"}}</a>
        </div>
    </li>
    <li class="item flexrow"><p class="notes">{{localize "SW5E.NoSpellLevels"}}</p></li>
    {{/if}}
    {{/if}}
{{/each}}
</ol>
